<IoNode_Debug>
    <Audio_Mixer name="mixer" channels="4"/>

    <Audio_Sin name="1" f="220" t="12.0"/>
    <Audio_Sin name="2" f="880" t="8.0"/>
    <Audio_Sin name="3" f="150" t="4.0"/>
    <Audio_Sin name="4" f="100" t="4.0"/>

    <IoNode_Pipe source="/1" target="/mixer/0"/>
    <IoNode_Pipe source="/2" target="/mixer/1"/>
    <IoNode_Pipe source="/3" target="/mixer/2"/>
    <IoNode_Pipe source="/4" target="/mixer/3"/>


    <Timeline delay="0.10">

        <Timeline_Track name="track_1" position="0" duration="20">
            <Timeline_Cycle name="second" url="/1" action="pause" dt="5"/>
            <Timeline_Cycle name="thrid" url="/controls/down" action="call" dt="1"/>
        </Timeline_Track>

        <Timeline_Track name="track_2" position="5" duration="10">
            <Timeline_Cycle name="thrid" url="/2" action="pause" dt="2"/>
        </Timeline_Track>
        <Timeline_Track name="track_2" position="15" duration="30">
            <Timeline_Cycle name="thrid" url="/1" action="pause" dt="3"/>
            <Timeline_Cycle name="thrid" url="/controls/up" action="call" dt="1"/>
        </Timeline_Track>
        <Timeline_Track name="track_2" position="15" duration="30">
            <Timeline_Cycle name="thrid" url="/3" action="pause" dt="15"/>
        </Timeline_Track>

        <Timeline_Track name="track_2" position="0" duration="30">
            <Timeline_Cycle name="thrid" url="/4" action="pause" dt="1"/>
        </Timeline_Track>
    </Timeline>



    <Atom name="controls">

        <Action name="up">
            <Atom_IncrementInteger select="/1" increment="10"  attr="f"/>
            <Atom_IncrementInteger select="/2" increment="10"  attr="f"/>
            <Atom_IncrementInteger select="/3" increment="10"  attr="f"/>
        </Action>
        <Action name="down">
            <Atom_IncrementInteger select="/1" increment="-20"  attr="f"/>
            <Atom_IncrementInteger select="/2" increment="-20"  attr="f"/>
            <Atom_IncrementInteger select="/3" increment="-20"  attr="f"/>
        </Action>
    </Atom>

</IoNode_Debug>
